首页  /  Web前端  /  VUE  /  window10 npm install 出现MSBUILD : error MSB4132: 无法识别工具版本“2.0”。可用的工具版本为 "4.0"。

window10 npm install 出现MSBUILD : error MSB4132: 无法识别工具版本“2.0”。可用的工具版本为 "4.0"。

 作者:白驹    来源:    浏览:96    日期:2021年4月3日  

window10 npm install 出现MSBUILD : error MSB4132: 无法识别工具版本“2.0”。可用的工具版本为 "4.0"。

一、错误如下图所示:

window10 npm install 出现MSBUILD : error MSB4132: 无法识别工具版本“2.0”。可用的工具版本为 "4.0"。

二、处理方法:

1.从https://download.microsoft.com/download/5/f/7/5f7acaeb-8363-451f-9425-68a90f98b238/visualcppbuildtools_full.exe地址下载Microsoft Visual C++ Build Tools 2015,下载之后安装

————————————————

window10 npm install 出现MSBUILD : error MSB4132: 无法识别工具版本“2.0”。可用的工具版本为 "4.0"

2.安装成功之后执行npm config set msvs_version 2015 --global,然后再次执行npm install即可。
版权声明:本文为CSDN博主「sxjlinux」的原创文章,遵循CC 4.0 BY-SA版权协议,转载请附上原文出处链接及本声明。
原文链接:https://blog.csdn.net/sunxiaoju/article/details/102567548
  • 评论
  • 相关评论